unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, ExtDlgs, ImgList, ComCtrls, ToolWin, Menus, unit2;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    Graf1: TMenuItem;
    Nov1: TMenuItem;
    Uloit1: TMenuItem;
    Konec1: TMenuItem;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ImageList1: TImageList;
    SavePictureDialog1: TSavePictureDialog;
    Image1: TImage;
    procedure FormCreate(Sender: TObject);
    procedure Uloit1Click(Sender: TObject);
    procedure Konec1Click(Sender: TObject);
    procedure Nov1Click(Sender: TObject);
  private
    procedure drawFunction(op:string;a,b,dm,hm:integer);

    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
var color:TColor;
begin
 color:= Image1.Canvas.Pen.Color;
 Image1.Canvas.Pen.Color := clWhite;
 image1.Canvas.FillRect(Rect(0,0,image1.Width,image1.Height));
 Image1.Canvas.Pen.Color:=color;
end;

procedure TForm1.Uloit1Click(Sender: TObject);
begin
 if SavePictureDialog1.Execute then
 begin
  Image1.Picture.SaveToFile(SavePictureDialog1.FileName);
 end;
end;

procedure TForm1.Konec1Click(Sender: TObject);
begin
 Application.Terminate;
end;

procedure TForm1.Nov1Click(Sender: TObject);
begin
 FormCreate(sender);
 if form2.ShowModal=mrOk then
 begin
  drawFunction(form2.ComboBox2.Items[form2.ComboBox2.ItemIndex],
               strtoint(form2.a.items[form2.a.itemindex]),
               strtoint(form2.b.Items[form2.b.itemindex]),
               strtoint(form2.dm.Items[form2.dm.itemIndex]),
               strtoint(form2.hm.Items[form2.hm.itemindex]));
 end;
end;
procedure TForm1.drawFunction(op:string;a,b,dm,hm:integer);
var i:integer;
    y1,y2:integer;
    stepx,x:real;
begin
 if op = '*' then
 begin
  y1:=a*dm+b;
  y2:=a*hm+b;
  Image1.Canvas.MoveTo(0,(Image1.Height div 2)-y1);
  Image1.Canvas.LineTo(image1.Width,(Image1.Height div 2) - y2);
 end
 else
 begin
  stepx:=(hm - dm) / image1.Width;
  y1 := round(a/dm +b);
  Image1.Canvas.MoveTo(0,(Image1.Height div 2)-y1);
  for i := 1 to image1.Width do
  begin
   x := dm + i*stepx;
   if x <> 0 then
   begin
    y1:=round(a/x +b);
    Image1.Canvas.LineTo(i,(Image1.Height div 2) -y1);
   end
   else
    if a>0 then Image1.Canvas.MoveTo(i,0)
     else Image1.Canvas.MoveTo(i,Image1.Height);
  end;
 end;
end;

end.


